This version (v0.7) has not been published to npm yet.
Skip to content

Reference / @getenginex/sdk / ResponsibleGamblingLimits

ResponsibleGamblingLimits ​

The player's responsible gambling limits (GET /responsible-gambling/limits).

Properties ​

deposit ​

deposit: object

Deposit limits per period. Values in minor units.

daily ​

daily: LimitUsage

monthly ​

monthly: LimitUsage

weekly ​

weekly: LimitUsage


loss ​

loss: object

Loss limit; daily is null when there is no limit.

daily ​

daily: number | null


selfExclusion ​

selfExclusion: object

Self-exclusion: until is the end date (ISO 8601, UTC), null without a temporary self-exclusion; permanent when it is forever.

permanent ​

permanent: boolean

until ​

until: string | null


sessionTimeLimitMinutes ​

sessionTimeLimitMinutes: number | null

Session time limit, in minutes; null when there is no limit.